/**
 * Created by bjoern on 22.04.17.
 */
"use strict";

const cheerio = require('cheerio');


function dummy(){return {}}

function copy(html) {
    return html;
}

//noinspection JSUnusedLocalSymbols
function generalHtml(html, node) {
    let $ = cheerio.load(html);

    return {
        title: $('title').html(),
        size_in_kilobyte: Buffer.byteLength(html, 'utf8')/1000,
        script_count: $('script').length,
        total_children_count: node.children.length
    };
}


module.exports = {dummy, copy, generalHtml};